# $Revision: 1.3.2.2 $, $Date: 2003/04/28 12:51:54 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	WWW
%define	pnam	webchat
Summary:	WWW::Chat perl modules for processing web chat scripts
Summary(pl):	Moduy perla WWW::Chat - do przetwarzania skryptw chata
Name:		perl-WWW-Chat
Version:	0.64
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Data-Dump >= 0.01
BuildRequires:	perl-HTML-Parser >= 2.21
BuildRequires:	perl-URI >= 1.00
BuildRequires:	perl-libwww >= 5.47
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the 'webchatpp' program, with its support
modules WWW::Chat and WWW::Chat::Processor.

The 'webchatpp' program is a preprocessor that turns chat scripts into
plain perl scripts using libwww-perl. When the script created by
webchatpp is feed to perl it will perform the chatting. Chat scripts
are useful for setting up test suites for web applications or just to
automate dialogues with web applications.

%description -l pl
Ten pakiet zawiera program webchatpp wraz z moduami pomocniczymi
WWW::Chat i WWW::Chat::Processor.

webchatpp jest preprocesorem tumaczcym skrypty chata na zwyke
skrypty perla uywajce moduw libwww. Utworzony skrypt jest
przekazywany do perla, ktry przeprowadza dialog. Skrypty chata
s przydatne do tworzenia testw aplikacji WWW lub automatyzacji
dialogw z aplikacjami WWW.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README manual_test.pl
%attr(755,root,root) %{_bindir}/*
%{perl_sitelib}/WWW/Chat.pm
%{perl_sitelib}/WWW/Chat
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-WWW-Chat.spec,v $
Revision 1.3.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.3.2.1  2003/03/13 00:59:23  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:39:10  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/13 18:39:04  qboosh
- new

